Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07398 Crash/Freeze Critical (emulator) Always Aug 19, 2019, 23:04 Aug 21, 2019, 02:28
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To AJR Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver goldstar.cpp
Version 0.212 Fixed in Version 0.213 Build 64-bit
Summary 07398: mbs2euro: Exception at emulation start
Description
-----------------------------------------------------
Exception at EIP=00000000053d0bba (gfx_element::decode(unsigned int)+0x019a): ACCESS VIOLATION
While attempting to read memory at 000000003772810a
-----------------------------------------------------
Stack crawl:
  0000000000228cc0: 00000000053d0bba (gfx_element::decode(unsigned int)+0x019a)
  0000000000228d90: 0000000000a486ec (goldstar_state::get_goldstar_fg_tile_info(tilemap_t&, tile_data&, unsigned int)+0x00bc)
  0000000000228e60: 00000000054effa0 (tilemap_t::tile_update(unsigned int, unsigned int, unsigned int)+0x02c0)
  0000000000228f60: 00000000054f0804 (void tilemap_t::draw_instance<bitmap_rgb32>(screen_device&, bitmap_rgb32&,tilemap_t::blit_parameters const&, int, int) [clone .constprop.221]+0x06c4)
  0000000000229030: 0000000007ebe9e5 (void tilemap_t::draw_common<bitmap_rgb32>(screen_device&, bitmap_rgb32&, rectangle const&, unsigned int, unsigned char, unsigned char)+0x0925)
  0000000000229080: 00000000054f3184 (tilemap_t::draw(screen_device&, bitmap_rgb32&, rectangle const&, unsigned int, unsigned char, unsigned char)+0x0024)
  0000000000229100: 0000000000a49a1d (wingco_state::screen_update_mbstar(screen_device&, bitmap_rgb32&, rectangle const&)+0x013d)
  00000000002291b0: 00000000054e1534 (screen_device::update_partial(int)+0x0474)
  0000000000229240: 000000000550a1ef (video_manager::finish_screen_updates()+0x007f)
  00000000002292c0: 000000000550c559 (video_manager::frame_update(bool)+0x01b9)
  0000000000229320: 00000000054de0b7 (screen_device::vblank_begin()+0x01b7)
  0000000000229380: 00000000054e1677 (screen_device::device_timer(emu_timer&, unsigned int, int, void*)+0x0117)
Steps To Reproduce
Additional Information Most of the time, I seem to get a line of "-----------------------------------------" with no stack info.
Flags
Regression Version 0.210
Affected Sets / Systems mbs2euro
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.16771
Tafoid
Administrator
Aug 19, 2019, 23:06
Regression commit likely:
May 10, 2019
https://github.com/mamedev/mame/commit/cc46387d515da8edbdaa84544aa21fef83a14e8e
User avatar
No.16778
AJR
Developer
Aug 21, 2019, 00:52
I couldn't reproduce the crash, though it should be noted that mbs2euro has the MACHINE_NOT_WORKING flag and all versions I tested have major graphic glitches.

The problem may have to do with screen_update_mbstar's setting of drawing borders for visible2 that lie outside the screen bounds.
User avatar
No.16779
AJR
Developer
Aug 21, 2019, 02:28
This should be fixed with 5476dcc020c430eb4bc25b5df27ec8156b0ba1b1.